#
#   Python GUI - Icon controls - Macintosh
#

from Carbon.Ctl import CreateIconControl
from MacDummy import _mac_dummy_window
from Controls import Control

class MacIconControl(Control):

    def __init__(self, mac_content_info, **kwds):
        mac_control = CreateIconControl(
            _mac_dummy_window, (0, 0, 32, 32), mac_content_info, 0)
        Control.__init__(self, mac_control, **kwds)
